Skip to content

Attach a contact to a conversation

Request

You can add participants who are contacts to a conversation, on behalf of either another contact or an admin.

Contacts without an email

If you add a contact via the email parameter and there is no user/lead found on that workspace with he given email, then we will create a new contact with role set to lead.

Security
bearerAuth
Path
idstringrequired

The identifier for the conversation as given by Intercom.

Example:123
Headers
Intercom-Versionstring(intercom_version)

Intercom API version.
By default, it's equal to the version set in the app package.

Default:"2.9"
Enum:"1.0""1.1""1.2""1.3""1.4""2.0""2.1""2.2""2.3""2.4"
Example:2.9
Bodyapplication/json
admin_idstring

The id of the admin who is adding the new participant.

Example:"12345"
customerIntercom User ID (object) or User ID (object) or Email (object)
One of:
curl -i -X POST \
  https://api.intercom.io/conversations/123/customers \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Content-Type: application/json' \
  -H 'Intercom-Version: 2.9' \
  -d '{
    "admin_id": 991267492,
    "customer": {
      "intercom_user_id": "6657ab566abd0164c24b0d7d"
    }
  }'

Responses

Attach a contact to a conversation

Bodyapplication/json
typestring

Always conversation.

Example:"conversation"
idstring

The id representing the conversation.

Example:"1295"
titlestring or null

The title given to the conversation.

Example:"Conversation Title"
created_atinteger, (date-time)

The time the conversation was created.

Example:1663597223
updated_atinteger, (date-time)

The last time the conversation was updated.

Example:1663597260
waiting_sinceinteger or null, (date-time)

The last time a Contact responded to an Admin. In other words, the time a customer started waiting for a response. Set to null if last reply is from an Admin.

Example:1663597260
snoozed_untilinteger or null, (date-time)

If set this is the time in the future when this conversation will be marked as open. i.e. it will be in a snoozed state until this time. i.e. it will be in a snoozed state until this time.

Example:1663597260
openboolean

Indicates whether a conversation is open (true) or closed (false).

Example:true
statestring

Can be set to "open", "closed" or "snoozed".

Enum:"open""closed""snoozed"
Example:"open"
readboolean

Indicates whether a conversation has been read.

Example:true
prioritystring

If marked as priority, it will return priority or else not_priority.

Enum:"priority""not_priority"
Example:"priority"
admin_assignee_idinteger or null

The id of the admin assigned to the conversation. If it's not assigned to an admin it will return null.

Example:0
team_assignee_idinteger or null

The id of the team assigned to the conversation. If it's not assigned to a team it will return null.

Example:5017691
tagsobject(Tags)

A list of tags objects associated with a conversation

conversation_ratingobject or null(Conversation Rating)

The Conversation Rating object which contains information on the rating and/or remark added by a Contact and the Admin assigned to the conversation.

The type of the conversation part that started this conversation. Can be Contact, Admin, Campaign, Automated or Operator initiated.

contactsobject(Contacts)

The list of contacts (users or leads) involved in this conversation. This will only contain one customer unless more were added via the group conversation feature.

teammatesobject or null(Conversation teammates)

The list of teammates who participated in the conversation (wrote at least one conversation part).

first_contact_replyobject or null(First contact reply)

An object containing information on the first users message. For a contact initiated message this will represent the users original message.

sla_appliedobject or null(Applied SLA)

The SLA Applied object contains the details for which SLA has been applied to this conversation. Important: if there are any canceled sla_events for the conversation - meaning an SLA has been manually removed from a conversation, the sla_status will always be returned as null.

statisticsobject or null(Conversation statistics)

A Statistics object containing all information required for reporting, with timestamps and calculated metrics.

conversation_partsobject(Conversation Parts)

A list of Conversation Part objects for each part message in the conversation. This is only returned when Retrieving a Conversation, and ignored when Listing all Conversations. There is a limit of 500 parts.

Response
{ "customers": [ {} ] }